Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_get_hash_factory

## Name

librdf_get_hash_factory -- Get a hash factory by name

## Synopsis

``librdf_hash_factory* `librdf_get_hash_factory`` (librdf_world * `world`, const char * `name`);`

## Arguments

`world`

  redland world object

`name`

  the factory name or NULL for the default factory

## FIXME

several bits of code assume the default hash factory is in memory.

## Return value

the factory object or NULL if there is no such factory

<<< Previous | Home | Next >>>
librdf_hash_register_factory | Up | librdf_new_hash